/*
 * @(#)BasicSeparatorUI.java	1.11 98/02/16
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */

package com.sun.java.swing.plaf.basic;

import com.sun.java.swing.*;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Insets;
import java.awt.Rectangle;
import com.sun.java.swing.plaf.ComponentUI;
import com.sun.java.swing.plaf.SeparatorUI;
import java.io.Serializable;

/**
 * A Windows L&F implementation of SeparatorUI.  This implementation 
 * is a "combined" view/controller.
 * <p>
 * Warning: serialized objects of this class will not be compatible with
 * future swing releases.  The current serialization support is appropriate
 * for short term storage or RMI between Swing1.0 applications.  It will
 * not be possible to load serialized Swing1.0 objects with future releases
 * of Swing.  The JDK1.2 release of Swing will be the compatibility
 * baseline for the serialized form of Swing objects.
 *
 * @version 1.11 02/16/98
 * @author Georges Saab
 * @author David Karlton
 */

public class BasicSeparatorUI extends SeparatorUI implements Serializable
{
    public static ComponentUI createUI(JComponent x) {
        return new BasicSeparatorUI();
    }

    public void installUI(JComponent c) {
        installDefaults(c);
    }

    public void uninstallUI(JComponent c) {
        uninstallDefaults(c);
    }

    protected void installDefaults(JComponent c) {
    }

    protected void uninstallDefaults(JComponent c) {
    }

    public void paint(Graphics g, JComponent c) {
        Dimension s = c.getSize();
        BasicGraphicsUtils.drawGroove(g, 0, 0, s.width, s.height);
    }

    public Dimension getPreferredSize(JComponent c) { 
        return new Dimension(0, 2);
    }

    public Dimension getMinimumSize(JComponent c) { return null;}
    public Dimension getMaximumSize(JComponent c) { return null;}
}




